Bug 220387 - [NEW PORTS] x11/lumina: Update to 1.3.0 patchset 1
Summary: [NEW PORTS] x11/lumina: Update to 1.3.0 patchset 1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kris Moore
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2017-06-30 17:23 UTC by Ken Moore
Modified: 2017-09-21 14:45 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kmoore)


Attachments
Patch file to add Lumina 1.3.0 to the ports tree (221.17 KB, patch)
2017-06-30 17:23 UTC, Ken Moore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Moore 2017-06-30 17:23:36 UTC
Created attachment 183946 [details]
Patch file to add Lumina 1.3.0 to the ports tree

Update the Lumina desktop environment to version 1.3.0 (patchset 1).

Major Changes:
* x11/lumina is now a meta-port
* Add x11/lumina-core and x11/lumina-coreutils ports for the desktop and configuration utilities respectively
* Add deskutils/lumina-* ports for all the individual desktop utilities associated with the project. Summary:
   * deskutils/lumina-archiver
   * deskutils/lumina-calculator
   * deskutils/lumina-fileinfo
   * deskutils/lumina-fm
   * deskutils/lumina-mediaplayer
   * deskutils/lumina-notify
   * deskutils/lumina-screenshot
   * deskutils/lumina-textedit
   * deskutils/lumina-xdg-entry

The patch file was based on Git Revision ece54977329f353d88ea30db8f3729765861b588 of the freebsd/freebsd-ports repository on GitHub.
Since the patch is primarily just new ports, it should be fairly easy to rebase it upon other revisions of the tree as needed.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-18 03:24:26 UTC
As these multiple new ports set kmoore as MAINTAINER, and kmoore is committer, they should be committed by them, in the normal case.

It is customary for new ports to have MAINTAINER be the author, unless prior arrangement has been made. It is OTOH understandable that lumina-* ports might make sense under a single maintainer (individual or group), even if the author of new ports is a different individual.

@Kris Please comment on how you would like to proceed (with hat x11/lumina maintainer on)

There is a desire from users (noted via IRC) to progress this issue, which is now over 3 months old, but it is not entirely appropriate to "maintainer timeout" these issues and open them up to the pool to commit these new ports as you are currently set as MAINTAINER in the patches.
Comment 2 Kris Moore freebsd_committer 2017-09-18 17:10:41 UTC
Reviewing them now. I'll be happy to continue as maintainer for these for the time being, since I work just across the room from Ken here.
Comment 3 commit-hook freebsd_committer 2017-09-18 17:46:39 UTC
A commit references this bug:

Author: kmoore
Date: Mon Sep 18 17:45:37 UTC 2017
New revision: 450057
URL: https://svnweb.freebsd.org/changeset/ports/450057

Log:
  - Update x11/lumina to 1.3.0
  - Bring in Lumina utilities as their own ports

  PR: 220387
  Submitted by: Ken Moore <ken@pcbsd.org>
  Sponsored by: iXsystems

Changes:
  head/deskutils/Makefile
  head/deskutils/lumina-archiver/
  head/deskutils/lumina-archiver/Makefile
  head/deskutils/lumina-archiver/distinfo
  head/deskutils/lumina-archiver/pkg-descr
  head/deskutils/lumina-archiver/pkg-plist
  head/deskutils/lumina-calculator/
  head/deskutils/lumina-calculator/Makefile
  head/deskutils/lumina-calculator/distinfo
  head/deskutils/lumina-calculator/pkg-descr
  head/deskutils/lumina-calculator/pkg-plist
  head/deskutils/lumina-fileinfo/
  head/deskutils/lumina-fileinfo/Makefile
  head/deskutils/lumina-fileinfo/distinfo
  head/deskutils/lumina-fileinfo/pkg-descr
  head/deskutils/lumina-fileinfo/pkg-plist
  head/deskutils/lumina-fm/
  head/deskutils/lumina-fm/Makefile
  head/deskutils/lumina-fm/distinfo
  head/deskutils/lumina-fm/pkg-descr
  head/deskutils/lumina-fm/pkg-plist
  head/deskutils/lumina-mediaplayer/
  head/deskutils/lumina-mediaplayer/Makefile
  head/deskutils/lumina-mediaplayer/distinfo
  head/deskutils/lumina-mediaplayer/pkg-descr
  head/deskutils/lumina-mediaplayer/pkg-plist
  head/deskutils/lumina-notify/
  head/deskutils/lumina-notify/Makefile
  head/deskutils/lumina-notify/distinfo
  head/deskutils/lumina-notify/pkg-descr
  head/deskutils/lumina-notify/pkg-plist
  head/deskutils/lumina-screenshot/
  head/deskutils/lumina-screenshot/Makefile
  head/deskutils/lumina-screenshot/distinfo
  head/deskutils/lumina-screenshot/pkg-descr
  head/deskutils/lumina-screenshot/pkg-plist
  head/deskutils/lumina-textedit/
  head/deskutils/lumina-textedit/Makefile
  head/deskutils/lumina-textedit/distinfo
  head/deskutils/lumina-textedit/pkg-descr
  head/deskutils/lumina-textedit/pkg-plist
  head/deskutils/lumina-xdg-entry/
  head/deskutils/lumina-xdg-entry/Makefile
  head/deskutils/lumina-xdg-entry/distinfo
  head/deskutils/lumina-xdg-entry/pkg-descr
  head/deskutils/lumina-xdg-entry/pkg-plist
  head/x11/Makefile
  head/x11/lumina/Makefile
  head/x11/lumina/distinfo
  head/x11/lumina/pkg-descr
  head/x11/lumina/pkg-message
  head/x11/lumina/pkg-plist
  head/x11/lumina-core/
  head/x11/lumina-core/Makefile
  head/x11/lumina-core/distinfo
  head/x11/lumina-core/pkg-descr
  head/x11/lumina-core/pkg-message
  head/x11/lumina-core/pkg-plist
  head/x11/lumina-coreutils/
  head/x11/lumina-coreutils/Makefile
  head/x11/lumina-coreutils/distinfo
  head/x11/lumina-coreutils/pkg-descr
  head/x11/lumina-coreutils/pkg-plist
Comment 4 Kris Moore freebsd_committer 2017-09-18 17:48:58 UTC
Merged, thanks!